package com.ruoyi.frequency.customer.service;

import com.ruoyi.response.ResponseData;
import com.ruoyi.vo.UserInfo;
import com.ruoyi.vo.UserVo;

import java.util.List;
import java.util.Map;
import java.util.Set;

public interface UserService {

    /**
     * 根据用户id 查询用户基本信息
     * @param set
     * @return
     */
    Map<UserVo, UserInfo> selectUserInfoMap(Set<UserVo> set,UserVo userVo);


    /**
     * 拉黑用户集合
     * @param userVo
     * @return
     */
    List<UserVo> blockUserList(UserVo userVo);

    /**
     * 屏蔽用户集合
     * @param userVo
     * @return
     */
    List<UserVo> shieldUserList(UserVo userVo);

    void storeByEnterprise(UserVo userVo);

    ResponseData userRelationship(UserVo otherUserVo, UserVo userVo);
}
